# voalte-mirror7.spec
# John Simpson <jms1@voalte.com> 2024-04-05
#
# Build RPM packages to access repos on mirror7.eng.voalte.net
#
# Created by looking at the `epel-release` spec file
# https://src.fedoraproject.org/rpms/epel-release/blob/epel7/f/epel-release.spec

Name        : voalte-mirror7
Version     : 0.0.3
Release     : 2
Summary     : Install the repos to access Voalte's mirror of the RHEL 7 repos

Group       : System Environment/Base
Vendor      : Voalte, Inc.
URL         : https://voalte.com/
License     : Proprietary

Source0     : README.md
Source1     : rhel-7-server-extras-rpms.repo
Source2     : rhel-7-server-optional-rpms.repo
Source3     : rhel-7-server-rpms.repo
Source4     : rhel-ha-for-rhel-7-server-rpms.repo
Source5     : epel.repo
Source6     : RPM-GPG-KEY-EPEL-7

BuildArch   : noarch
Requires    : redhat-release-server >= 7
Requires    : redhat-release-server < 8
Conflicts   : fedora-release
Conflicts   : centos-release
Obsoletes   : voalte-mirror-auth
Obsoletes   : voalte-mirror7-auth

%description
This package sets the machine up to access RPM packages from the yum repos
on the mirror7.eng.voalte.net server.

%package epel
Summary     : Use Voalte's mirror of the EPEL yum repo
Group       : System Environment/Base
Requires    : voalte-mirror7
Obsoletes   : voalte-mirror-epel7
%description epel
Use Voalte's mirror of the EPEL 7 yum repo.

%package rhel
Summary     : Use Voalte's mirror of the RHEL yum repos
Group       : System Environment/Base
Requires    : voalte-mirror7
Obsoletes   : voalte-mirror-rhel7
%description rhel
Use Voalte's mirror of the Red Hat Enterprise Linux 7 yum repos.

%prep
%setup -q -c -T
install -pm 0644 %{SOURCE0} .

%build

%install
rm -rf $RPM_BUILD_ROOT

# repo files
install -dm 0755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 0644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/
install -dm 0755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
install -pm 0644 %{SOURCE6} $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

# auth files
install -dm 0700 $RPM_BUILD_ROOT%{_sysconfdir}/yum/vars
echo 'unset' > $RPM_BUILD_ROOT%{_sysconfdir}/yum/vars/vm_username
echo 'unset' > $RPM_BUILD_ROOT%{_sysconfdir}/yum/vars/vm_password
echo 'unset' > $RPM_BUILD_ROOT%{_sysconfdir}/yum/vars/vm_dir
chmod 0600 $RPM_BUILD_ROOT%{_sysconfdir}/yum/vars/vm_*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(-,root,root,-)
%config(noreplace) /etc/yum/vars/vm_*

%files epel
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/epel.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7

%files rhel
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/rhel-*.repo

%changelog
* Thu May 02 2024 John Simpson <jms1@voalte.com> - 0.0.3-2
- Forgot to add RPM-GPG-KEY-EPEL-7 in -epel RPM

* Fri Apr 26 2024 John Simpson <jms1@voalte.com> - 0.0.3-1
- Removed 'priority=' lines from 'rhel-*' repo files

* Mon Apr 15 2024 John Simpson <jms1@voalte.com> - 0.0.2-3
- Removed the 'voalte-mirror' repo, that idea isn't going to work

* Mon Apr 15 2024 John Simpson <jms1@voalte.com> - 0.0.2-2
- Adding 'voalte-mirror' repo which will contain the other RPMs
- Removing -auth repo, the "base" repo (no suffix) now supplies auth files

* Mon Apr 15 2024 John Simpson <jms1@voalte.com> - 0.0.2-1
- Single spec file building all three RPMs
- Changed package names from 'voalte-mirror-*' to 'voalte-mirror7-*'
- Marked credential files with %config(noreplace)

* Mon Apr 08 2024 John Simpson <jms1@voalte.com> - 0.0.1-4
- Moved auth files to their own voalte-mirror-auth package

* Fri Apr 05 2024 John Simpson <jms1@voalte.com> - 0.0.1-3
- Removed EPEL repo, it needs its own RPM so it can install a copy of
  the EPEL PGP key

* Fri Apr 05 2024 John Simpson <jms1@voalte.com> - 0.0.1-2
- Including our mirror of the EPEL repo (which uses the same user/pass
  as the /rhel/ or /releases/ directories)

* Fri Apr 05 2024 John Simpson <jms1@voalte.com> - 0.0.1-1
- Initial attempt at building an RPM to install yum repos
